import { Properties } from './properties';
import { Element } from './element';
/**
 * Dialog template class.
 */
export declare class Template implements JSX.Element {
    /**
     * Dialog properties.
     */
    readonly properties: Properties;
    /**
     * Dialog skeleton.
     */
    private skeleton;
    /**
     * Dialog elements.
     */
    private elements;
    /**
     * Header element.
     */
    private headerSlot;
    /**
     * Content element.
     */
    private contentSlot;
    /**
     * Footer element.
     */
    private footerSlot;
    /**
     * Modal element.
     */
    private modalSlot;
    /**
     * Dialog element.
     */
    private dialog;
    /**
     * Dialog styles.
     */
    private styles;
    /**
     * Initializes the custom element.
     */
    private initialize;
    /**
     * Default constructor.
     * @param properties Dialog properties.
     * @param children Dialog children.
     */
    constructor(properties?: Properties, children?: any[]);
    /**
     * Show the dialog.
     * @param modal Determines whether the dialog is shown as modal or not.
     */
    show(modal?: boolean): void;
    /**
     * Hide the dialog.
     */
    hide(): void;
    /**
     * Dialog element.
     */
    readonly element: Element;
}
